
/* ========== MEDIA QUERIES ========== */
@media (max-width: 760px) {
    .main-nav {
        display: none;
    }

    .main-nav.open {
        left: 0;
    }

    .burger-btn {
        display: flex;
    }

    .mobile-menu {
        display: flex;
    }

    #main-lang-layout{
        display: none;
    }

    #mobile-lang-layout {
    margin-top: auto; /* прижимает переключатель к низу */
    padding-top: 16px;
    }
   
    .lang-options{
        top: auto;
        bottom: 100%;  /* Открывается вверх */
        margin: 0 0 4px 4px;
    }
        
   

}

@media (max-width: 500px) {
    .logo a {
        font-size: 1.6rem;
        letter-spacing: 1.8px;
        font-weight: 620;
    }
}

@media (max-width: 430px) {
    .logo a {
        font-size: 1.4rem;
        letter-spacing: 1.7px;
    }
}

/* Стиль для Chrome, Edge, Safari */
.mobile-menu::-webkit-scrollbar {
    width: 8px;
}

.mobile-menu::-webkit-scrollbar-track {
    background: #1e1e1e;
}

.mobile-menu::-webkit-scrollbar-thumb {
    background-color: #555;
    border-radius: 4px;
    border: 2px solid #1e1e1e;
}

.mobile-menu::-webkit-scrollbar-thumb:hover {
    background-color: #888;
}

/* Стиль для Firefox */
.mobile-menu {
    scrollbar-width: thin;
    scrollbar-color: #555 #1e1e1e;
}
